Subject: Re: [net-next 2/2] macvlan: Enable qdisc backoff logic.

From: Ben Greear <[email-masked]>
Date: Wed, 25 Aug 2010 12:27:43 -0700

On 08/25/2010 12:24 PM, Arnd Bergmann wrote:
> On Wednesday 25 August 2010 21:00:51 Ben Greear wrote:
>> This allows macvlans to apply backpressure to calling code
>> in the transmit path when the underlying qdisc cannot accept
>> additional packets.
>>
>> Signed-off-by: Ben Greear<[email-masked]>
>
> Ah, very nice! I was wondering how to do this.
>
> I suppose we need to do something in macvtap to handle this as
> well, right? A guest trying to send a frame through qemu
> or vhost net into macvtap needs to be prevented from sending
> more when we get into this path. Right now, we just ignore
> the return value of macvlan_start_xmit.

I have a similar, though slightly more complex, patch for 802.1q
vlans, but I haven't looked at macvtap at all.

If these two patches are accepted, I'll post the .1q patch as well.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com